org.apache.http

## Interface TokenIterator

All Superinterfaces:
  Iterator<Object>

All Known Implementing Classes:
  BasicTokenIterator

    public interface TokenIterator
    extends Iterator<Object>

An iterator for `String` tokens. This interface is designed as a complement to `HeaderElementIterator`, in cases where the items are plain strings rather than full header elements.

Since:
  4.0

### Method Summary

Methods
`boolean` `hasNext()` Indicates whether there is another token in this iteration.
`String` `nextToken()` Obtains the next token from this iteration.

### Methods inherited from interface java.util.Iterator

`next, remove`

### Method Detail

#### hasNext

    boolean hasNext()

Indicates whether there is another token in this iteration.

Specified by:
  `hasNext` in interface `Iterator<Object>`
Returns:
  `true` if there is another token, `false` otherwise

#### nextToken

    String nextToken()

Obtains the next token from this iteration. This method should only be called while `hasNext` is true.

Returns:
  the next token in this iteration